## dbus 0.23.4-9osso5

=== debian/changelog ===
dbus (0.23.4-9osso5) unstable; urgency=low

  * Free some buffers (bug 21872).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 19 Dec 2005 15:17:20 +0200

dbus (0.23.4-9osso1) unstable; urgency=low

  * Increased autoactivation timeout to 32s (bug 21448).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 28 Nov 2005 14:40:12 +0200

dbus (0.23.4-9osso) unstable; urgency=low

  * Added wait-for-memory-fix patch (bug 19154).

 -- Marius Vollmer <marius.vollmer@nokia.com>  Tue, 27 Sep 2005 19:31:38 +0300

dbus (0.23.4-8osso) unstable; urgency=low

  * Removed the check for maximum pending replies because of reliability
    problems.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 18 Aug 2005 18:25:00 +0300

dbus (0.23.4-7osso) unstable; urgency=low

  * Added patch for dbus_error bug (bug 17085).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 10 Aug 2005 11:21:55 +0300

dbus (0.23.4-6osso) unstable; urgency=low

  * Added patch for the multi activation bug (bug 6407).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 05 Jul 2005 08:18:28 +0300

dbus (0.23.4-5osso) unstable; urgency=low

  * Added dependency to libexpat (bug 14372).
  * Now creating the services directory in postinst.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 14 Jun 2005 13:19:43 +0300

dbus (0.23.4-4osso) unstable; urgency=low

  * Added patch for the new "detail" attribute (bug 14250).
  * Added patch for dbus-monitor to see the detail attribute.
  * Disabled verbose mode (does not prevent stderr output from
    activated programs).
  * Set permissions for the additional services directory (bug 14258).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 13 Jun 2005 09:52:23 +0300

dbus (0.23.4-3osso) unstable; urgency=low

  * Code in the dbus/ directory is now same as in 0.23.1.
    This was done because of the problems and risks involved in big
    code changes between 0.23.1 and 0.23.4 versions. Fixes bug 12143.
    EXCEPTION: dbus_pending_call_steal_reply() was added to 0.23.1
    code in dbus/ directory, so that new code using that does not break.
  * Removed the dbus_pending_call_get_reply patch, since in 0.23.1
    it's not needed.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 19 May 2005 10:26:31 +0300

dbus (0.23.4-2osso) unstable; urgency=low

  * Commented out "readlink" part of dbus-1 init script (bug 11278).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 16 May 2005 19:23:24 +0300

dbus (0.23.4-1osso3) unstable; urgency=low

  * Added dbus_pending_call_get_reply back to the header file
    (bug 11791).
  * Added initgroups() to daemon startup code, and removed dropping
    of supplementary groups (bug 11634).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 13 May 2005 14:33:21 +0300

dbus (0.23.4-1osso2) unstable; urgency=low

  * Forward-ported "speaker fix".
  * Removed dynamically-created test/data/valid-config-files/session.conf

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 04 May 2005 20:26:35 +0300

dbus (0.23.4-1osso1) unstable; urgency=low

  * Added debian/patches/tools.diff back

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 02 May 2005 20:09:41 +0300

dbus (0.23.4-1osso) unstable; urgency=low

  * Added debian/patches/config.diff
  * Added debian/patches/spawn-priority.diff
  * Added debian/patches/no-fork.diff
  * Added debian/patches/dbussend.patch
  * Removed Python dependency and building of Python bindings.
  * Removed all document building.
  * Removed Gtk dependency.
  * Added dsmetool startup in debian/dbus-1.init
  * Added libxcursor-dev dependency
  * Replaced debian/dbus-1.postinst with our version
  * Added "uname -m" check to init script to avoid Scratchbox problem

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 29 Apr 2005 17:43:11 +0300

dbus (0.23.4-1) unstable; urgency=low

  * New upstream release
  * debian/patches/dbus-abi-api.patch
    - Removed, fixed upstream
  * debian/patches/dbus-python-fix.patch
    - Removed, fixed upstream
  * debian/patches/fix-policy-group.patch
    - Stop segfaulting at "<policy group="..."> tags (Closes: #297495)
  * debian/patches/dbus-fixverbose.patch
    - Fix inaccurate messages in the debug output of the uid/gid lookup code
    (Thanks to  Tom Parker) (Closes: #297497)
  * debian/patches/dbus-getpwname.patch
  * Add .la files in the -dev packages (Closes: #297936)

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 30 Mar 2005 23:02:00 +0200

dbus (0.23.2-3) unstable; urgency=low

  * debian/patches/dbus-abi-api.patch
    - Fix dbus api and abi breakage between 0.23.1 and 0.23.2 (Closes: #297020) 

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 28 Feb 2005 15:05:19 +0100

dbus (0.23.2-2) unstable; urgency=low

  * debian/patches/dbus-python-fix.patch 
    - Fix python bindings (Based on dbus CVS fix)

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 24 Feb 2005 11:19:03 +0100

dbus (0.23.2-1) unstable; urgency=low

  * New upstream release 

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 23 Feb 2005 12:11:29 +0100

dbus (0.23.1-1) unstable; urgency=low

  * New upstream release 

 -- Sjoerd Simons <sjoerd@debian.org>  Thu, 17 Feb 2005 12:22:19 +0100

dbus (0.23-1) unstable; urgency=low

  * New upstream release 
  * Disable the mono bindings for unstable untill mono goes into testing.

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 14 Jan 2005 15:22:20 +0100

dbus (0.22+cvs.20050104-1) experimental; urgency=low

  * CVS snapshot
  * Package the dbus mono bindings for i386, powerpc and s390. Mostly based on 
    patches from Edd Dumbill. (Closes: #260044)

 -- Sjoerd Simons <sjoerd@debian.org>  Wed,  5 Jan 2005 18:20:47 +0100

dbus (0.22-4) unstable; urgency=low

  * Let the initscript check if the pid in the pidfile actually corresponds
    to a dbus daemon process (Closes: #285758)

 -- Sjoerd Simons <sjoerd@debian.org>  Wed,  5 Jan 2005 16:55:45 +0100

dbus (0.22-3) unstable; urgency=medium


