## dbus 0.61-osso13fix

=== debian/changelog ===
dbus (0.61-osso13fix) experimental; urgency=low

  * Added packages for debug symbols. Fixes: NB#32668.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 20 Jun 2006 15:00:26 +0300

dbus (0.61-osso13) experimental; urgency=low

  * Another GArray leak plugged in dbus-gproxy.c (N#32479).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 13 Jun 2006 11:36:10 +0300

dbus (0.61-osso12) experimental; urgency=low

  * Added patch for a freedom-hating memory leak (N#32120).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 09 Jun 2006 11:20:48 +0300

dbus (0.61-osso11) experimental; urgency=low

  * Added messagebus user to the dialout group (N#29419).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 19 May 2006 14:18:24 +0300

dbus (0.61-osso10) experimental; urgency=low

  * Added support for compiling with thumb instructions (N#28905).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 16 May 2006 17:31:38 +0300

dbus (0.61-osso9) experimental; urgency=low

  * Fixed a leak in dbus_g_object_register_marshaller_array (N#28791).
  * Fixed a leak in DBusGProxyManager (N#28794).
  * Now ignoring SIGBUS as workaround for N#29189.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 11 May 2006 14:54:37 +0300

dbus (0.61-osso8) experimental; urgency=low

  * Added autogen.sh.
  * Added patch for memory leak in lookup_or_register_specialized() (N#28761).
  * Removed adduser dependency (N#25397).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 08 May 2006 11:26:57 +0300

dbus (0.61-osso7) experimental; urgency=low

  * Added patch for prioritising g_sources high. This is mainly because
    low-memory signals should be propagated as quickly as possible.
  * Added patch to fix leaking of pointer arrays in glib binding (N#28223)
    from Rob McQueen.
  * Added patch to fix leak in glib bindings signature generation (N#28222)
    from Rob McQueen.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Sat, 29 Apr 2006 15:05:42 +0300

dbus (0.61-osso6) experimental; urgency=low

  * Lintian fixes.
  * Removed dbus-launch because of X dependency (N#25295).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Sat, 22 Apr 2006 13:28:32 +0300

dbus (0.61-osso5) experimental; urgency=low

  * Session bus is using static address to avoid strange issue
    with lingering shell process (N#24573).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 18 Apr 2006 15:25:07 +0300

dbus (0.61-osso4) experimental; urgency=low

  * Using -5 priority again for the system bus.
  * Fixed the uname check.
  * Added DBus multi-threading initialisation to the client library (N#24277).
  * Added patch for GProxy destruction (N#26107).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 10 Apr 2006 11:20:53 +0300

dbus (0.61-osso3) experimental; urgency=low

  * Added dependency to libexpat1 to libdbus-glib-1-dev package.
  * Fixed a segfault in dbus-gproxy.c (N#24224).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 16 Mar 2006 17:51:12 +0200

dbus (0.61-osso2) experimental; urgency=low

  * Removed unnecessary patches 04, 11, and 12.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 03 Mar 2006 18:51:42 +0200

dbus (0.61-osso1) experimental; urgency=low

  * Upstream update to DBus v0.61.
  * Added legacy internal patches to debian/patches.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 02 Mar 2006 17:43:23 +0200
